libfreetype6 missing in the dependencies of ubuntu Pharo distribution

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

libfreetype6 missing in the dependencies of ubuntu Pharo distribution

Peter Uhnák
Hi,

I've just tried installing pharo from package manager on Elementary OS, which is a ubuntu derivative.

All went well, except fonts weren't working in 32 bit version, and I had to install by hand "libfreetype6:i386" ... is it missing in the dependencies?

Thanks,
Peter
Reply | Threaded
Open this post in threaded view
|

Re: [Pharo-dev] libfreetype6 missing in the dependencies of ubuntu Pharo distribution

Peter Uhnák
Thanks :)
I was testing it on behalf of someone else, so no problems for me. :)

Cheers,
Peter

On Fri, Apr 27, 2018 at 3:30 PM, Holger Freyther <[hidden email]> wrote:


> On 27. Apr 2018, at 19:22, Peter Uhnák <[hidden email]> wrote:


> I've installed both ( apt install pharo6-32-ui pharo6-64-ui  ), but the font problem was present only for 32bit.
>
> Note that I was launching the VM packaged with ZeroConf installation, I've only used apt mainly to get all dependencies.
>
> Now I tried to also run "pharo6-32-ui Pharo.image" (and "pharo6-64-ui Pharo.image"),
> and in both cases I got errror
>
> "/usr/bin/pharo6-32-ui: line 6: /usr/lib/i386-linux-gnu/pharo6-vm/pharo: No such file or directory
>
> and
>
> "/usr/bin/pharo6-64-ui: line 6: /usr/lib/x86_64-linux-gnu/pharo6-vm/pharo: No such file or directory

What's missing is that pharo6-32-ui should depend on pharo6-32. And the later package has the dependency on libssl and libfreetype and provides the "pharo" binary.

thanks for pointing that out and sorry you had to experience it.